# Maintainer: peippo <christoph.fink@gmail.com>

pkgname=python-sphinx-thebe
_name=${pkgname#python-}
pkgdesc="Integrate interactive code blocks into your documentation with Thebe and Binder"
url="https://sphinx-thebe.readthedocs.io/"

pkgver=0.1.2
pkgrel=1

arch=("any")
license=("MIT")

makedepends=(
    "python-build"
    "python-installer"
    "python-setuptools"
    "python-wheel"
)
depends=(
    "python"
    "python-sphinx"
)

source=("https://files.pythonhosted.org/packages/source/${_name::1}/$_name/$_name-$pkgver.tar.gz")
b2sums=('5ea01b7feeefdebc08cf6922ac0df128eb0d2a0481037ea017108ababc1443d760ba10f7be38eae4fd3903cdd126ef022cb655872dab56df960a4e6120f1c8e3')

build() {
    cd "${srcdir}"/${_name}-${pkgver}
    python -m build --wheel --no-isolation
}

package() {
    cd "${srcdir}/${_name}-${pkgver}"
    python -m installer --destdir="$pkgdir" dist/*.whl
}
